Package org.kapott.hbci.sepa.jaxb.pain_002_001_13

# Class CustomerPaymentStatusReportV13

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_13.CustomerPaymentStatusReportV13

public class CustomerPaymentStatusReportV13 extends Object

Java class for CustomerPaymentStatusReportV13 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CustomerPaymentStatusReportV13">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="GrpHdr" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}GroupHeader86"/>
             <element name="OrgnlGrpInfAndSts" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}OriginalGroupHeader17"/>
             <element name="OrgnlPmtInfAndSts" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}OriginalPaymentInstruction45" maxOccurs="unbounded" minOccurs="0"/>
             <element name="SplmtryData" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.13}SupplementaryData1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected GroupHeader86`
`grpHdr`
`protected OriginalGroupHeader17`
`orgnlGrpInfAndSts`
`protected List<OriginalPaymentInstruction45>`
`orgnlPmtInfAndSts`
`protected List<SupplementaryData1>`
`splmtryData`

## Constructor Summary

Constructors
Constructor
Description
`CustomerPaymentStatusReportV13()`

## Method Summary

Modifier and Type
Method
Description
`GroupHeader86`
`getGrpHdr()`
Gets the value of the grpHdr property.
`OriginalGroupHeader17`
`getOrgnlGrpInfAndSts()`
Gets the value of the orgnlGrpInfAndSts property.
`List<OriginalPaymentInstruction45>`
`getOrgnlPmtInfAndSts()`
Gets the value of the orgnlPmtInfAndSts property.
`List<SupplementaryData1>`
`getSplmtryData()`
Gets the value of the splmtryData property.
`void`
`setGrpHdr(GroupHeader86 value)`
Sets the value of the grpHdr property.
`void`
`setOrgnlGrpInfAndSts(OriginalGroupHeader17 value)`
Sets the value of the orgnlGrpInfAndSts property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### grpHdr

protected GroupHeader86 grpHdr

### orgnlGrpInfAndSts

protected OriginalGroupHeader17 orgnlGrpInfAndSts

### orgnlPmtInfAndSts

protected List<OriginalPaymentInstruction45> orgnlPmtInfAndSts

### splmtryData

protected List<SupplementaryData1> splmtryData

## Constructor Details

### CustomerPaymentStatusReportV13

public CustomerPaymentStatusReportV13()

## Method Details

### getGrpHdr

public GroupHeader86 getGrpHdr()
Gets the value of the grpHdr property.

Returns:
  possible object is `GroupHeader86`

### setGrpHdr

public void setGrpHdr(GroupHeader86 value)
Sets the value of the grpHdr property.

Parameters:
  `value` - allowed object is `GroupHeader86`

### getOrgnlGrpInfAndSts

public OriginalGroupHeader17 getOrgnlGrpInfAndSts()
Gets the value of the orgnlGrpInfAndSts property.

Returns:
  possible object is `OriginalGroupHeader17`

### setOrgnlGrpInfAndSts

public void setOrgnlGrpInfAndSts(OriginalGroupHeader17 value)
Sets the value of the orgnlGrpInfAndSts property.

Parameters:
  `value` - allowed object is `OriginalGroupHeader17`

### getOrgnlPmtInfAndSts

public List<OriginalPaymentInstruction45> getOrgnlPmtInfAndSts()
Gets the value of the orgnlPmtInfAndSts property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the orgnlPmtInfAndSts property.

For example, to add a new item, do as follows:

        getOrgnlPmtInfAndSts().add(newItem);

Objects of the following type(s) are allowed in the list `OriginalPaymentInstruction45`

### getSplmtryData

public List<SupplementaryData1> getSplmtryData()
Gets the value of the splmtryData property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the splmtryData property.

For example, to add a new item, do as follows:

        getSplmtryData().add(newItem);

Objects of the following type(s) are allowed in the list `SupplementaryData1`